package com.xhkjedu.sexam.mapper.report;

import com.xhkjedu.sexam.model.exam.EBase;
import com.xhkjedu.sexam.model.reportstu.ERstudentAction;
import com.xhkjedu.sexam.vo.report.ERankParamVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @className EReportSchoolMapper
 * @description 考试报告生成
 * @date 2022/8/29 10:00
 **/
public interface EReportSchoolMapper {
    //删除考试等级报告
    void delByExamAndSubjectId(@Param("examid") Integer examid, @Param("subjectid") String subjectid,
                               @Param("ranktype") Integer ranktype);

    //行为分析-班级
    List<Map> listXwBj(@Param("rank") ERstudentAction rank);

    //行为分析-学生
    List<Map> listXwXs(@Param("rank") ERstudentAction rank);

    //违纪行为分析-详情
    List<Map> listWjXq(@Param("rank") ERstudentAction rank);

    //等级分类列表
    List<Map> listDjFl(@Param("rank") ERankParamVo rank);

    //已结束考试
    List<Map> listEndExams(@Param("ebase") EBase ebase);

    //行为分析-班级
    List<Map> listXwBjByExamId(@Param("examid") Integer examid);

    //考试班级等级分布
    List<Map> listCjFxByExamId(@Param("examid") Integer examid);

    //考试等级分类
    List<Map> listRankByExamId(@Param("examid") Integer examid);

    //获取考试PDF报告基础信息
    Map getPdfInfo(@Param("examid") Integer examid);
}
